# Table of contents
1. [Common purpose](#1-common-purpose)
2. [Compatibility](#2-compatibility)
3. [Installation](#3-installation)
4. [Config example in Hiera and result files](#4-config-example-in-hiera-and-result-files)


# 1. Common purpose
nfs_exports is a module for NFS related packages and config managing. Only server config is supported.

# 2. Compatibility
This module was tested on CentOS 7. It also should work on Fedora 19 and higher and RHEL 7, but no tests were performed.

# 3. Installation
```yaml
mod 'nfs_exports',
    :git => 'https://github.com/arrnorets/puppet-nfs_exports.git',
    :ref => 'main'
```

# 4. Config example in Hiera and result files
This module follows the concept of so called "XaaH in Puppet". The principles are described [here](https://asgardahost.ru/library/syseng-guide/00-rules-and-conventions-while-working-with-software-and-tools/puppet-modules-organization/) and [here](https://asgardahost.ru/library/syseng-guide/00-rules-and-conventions-while-working-with-software-and-tools/3-hashes-in-hiera/).

Here is the example of config in Hiera:
```yaml
nfs_exports:
  nfsutils_pkg_version: '1.3.0-0.68.el7'
  enable: true
  config: |
           /data/k8s/jabber  192.168.100.0/28(rw,no_root_squash)
           /data/k8s/website 192.168.100.0/28(rw,no_root_squash)
```
It will install nfs-utils, enable service nfs and produce /etc/exports file:
```bash
/data/k8s/jabber  192.168.100.0/28(rw,no_root_squash)
/data/k8s/website 192.168.100.0/28(rw,no_root_squash)
```
